[%# <!-- This -*- HTML -*- template is part of Regano.
	 Regano is free software and may be redistributed and/or modified
	 under the same terms as Perl itself. --> ~%]

[% META
   title = 'Regano Account Overview'
 %]
[%~ navPage = [ 'registrar' 'overview' ] ~%]
[%# <!-- To be wrapped inside "main-copy" div. --> -%]
<h1>[% regano.config.InstanceName | html %] registry &mdash; [% session.user %]</h1>

[% IF status -%]
<div style="margin: 3m; text-align: center">
  [% FOREACH message IN status -%]
  [% SWITCH message.0 -%]
  [%   CASE "dberr_password" -%]
  <div class="notify_errors">
    The database rejected changing your password.  This should not happen.
  </div>
  [%   CASE "change_password" -%]
  <div class="notify_success">
    Your password has been changed.
  </div>
  [%   CASE "change_password_fail" -%]
  <div class="notify_errors">
    Your password was not changed.  Are you sure that you correctly entered
    your current password?
  </div>
  [%   CASE "change_password_mismatch" -%]
  <div class="notify_errors">
    The new passwords given did not match.
  </div>
  [% END ~%]
  [% END ~%]
</div>
[% END ~%]

<h2>Change Password</h2>

<form action="[% regano.uri_for_action('/registrar/account/change_password') %]"
      method="POST">
  <table style="margin: 1em 5em">
    <tr>
      <th style="text-align: right">
	<label for="password-current">Current Password</label>
      </th>
      <td>
	<input type="password" name="password_current" value=""
	       id="password-current">
      </td>
    </tr>
    <tr>
      <th style="text-align: right">
	<label for="password-new1">New password</label>
      </th>
      <td>
	<input type="password" name="password_new1" value=""
	       id="password-new1">
      </td>
    </tr>
    <tr>
      <th style="text-align: right">
	<label for="password-new2">Confirm new password</label>
      </th>
      <td>
	<input type="password" name="password_new2" value=""
	       id="password-new2">
      </td>
    </tr>
    <tr>
      <td colspan="2" style="text-align: right">
	<input type="submit" value="Change Password">
      </td>
    </tr>
  </table>
</form>

<h2>Contacts &mdash;
  <a href="[% regano.uri_for_action('/registrar/account/contacts')
	    %]">[edit]</a></h2>

<table style="margin: 1em 5em">
  <tr>
    <th>ID</th><th>Name</th><th colspan="2">Email Address</th>
    <th>PGP Key ID</th><th></th>
  </tr>
  [% FOREACH contact IN contacts %]
  <tr>
    <td>[% contact.id %]</td>
    <td>[% contact.name %]</td>
    <td>[% contact.email %]</td>
    <td>
      [%~ IF contact.email_verified ~%]
      Verified
      [%~ ELSE ~%]
      Not Verified
      [%~ END ~%]
    </td>
    <td>[% contact.pgp_key_id %]</td>
    <td>
      [%~ IF contact.id == user_info.contact_id ~%]
      Primary
      [%~ END ~%]
    </td>
  </tr>
  [% END %]
</table>

<h2>Domains</h2>

[% IF pending_domain.name %]
<table style="margin: 1em 5em">
  <tr>
    <th>Name</th>
    <td>[% pending_domain.name %]</td>
  </tr>
  <tr>
    <th>Entered</th>
    <td>[% pending_domain.start %]</td>
  </tr>
  <tr>
    <th>Expires</th>
    <td>[% pending_domain.expire %]</td>
  </tr>
</table>
<div class="notify_notes">
  You have a domain pending registration.  The domain "[%
  pending_domain.name %]" is reserved until [% pending_domain.expire %].
  You must verify or reverify your primary contact email address to
  register this domain.  If you do not verify or reverify your primary
  contact email address before [% pending_domain.expire %], the domain will
  again be available for anyone to register.
</div>
[% ELSE %]
<form action="[% regano.uri_for_action('/registrar/domain/register') %]" method="POST">
    <table style="margin: 1em auto"><tr>
      <td>
	<label for="reg-domain-name">Domain name</label>
      </td>
      <td>
	<input type="text" name="domain_name"
	       maxlength="64" value="" id="reg-domain-name">
	<select name="domain_tail" size="1">
	  [% FOREACH bailiwick IN bailiwicks %]
	  <option>[% bailiwick %]</option>
	  [% END %]
	</select>
      </td>
      <td>
	<input type="submit" value="Register a new domain">
      </td>
  </tr></table>
</form>
[% END %]

<table style="margin: 1em 5em">
  <tr>
    <th>Name</th>
    <th>Status</th>
    <th>Registered</th>
    <th>Expiration</th>
    <th>Last Modified</th>
    <th style="visibility: hidden"></th>
  </tr>
  [% FOREACH domain IN domains %]
  <tr>
    <td>[% domain.name %]</td>
    <td [%= SWITCH domain.status ~%]
	[%~  CASE "REGISTERED"	~%] style="color: green"
	[%~  CASE "EXPIRED"	~%] style="color: red"
	[%~ END %]>[% domain.status %]</td>
    <td>[% domain.registered %]</td>
    <td>[% domain.expiration %]</td>
    <td>[% domain.last_update %]</td>
    <td>
      <form action="[% regano.uri_for_action('/registrar/domain/manage') %]" method="POST">
	<input type="hidden" name="domain_name" value="[% domain.name %]">
	<input type="submit" value="Manage">
      </form>
    </td>
  </tr>
  [% END %]
</table>

<!--  LocalWords:  regano InstanceName html FOREACH reverify dberr inline pgp
 -->
